<?php
/**
 * The Juno script to list the available accounting books.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: juno/books/index.php,v 1.16 2005/01/03 14:35:09 jan Exp $
 */

@define('JUNO_BASE', dirname(__FILE__) . '/..');
require_once JUNO_BASE . '/lib/base.php';

/* Get the sorting. */
$sort_by = Juno::getSortBy('books');
$sort_dir = Juno::getSortDir('books');

$books_list = $books->getBooks(DATATREE_ROOT, true, $sort_by, $sort_dir, true);
if (empty($books_list)) {
    $notification->push(_("No books available."), 'horde.warning');
}

/* Actions. */
$actions = array();
$url = Horde::applicationUrl('books/edit.php');
$actions[] = Horde::link($url, _("New Book")) . Horde::img('new_book.png', _("New Book")) . '</a>';

/* Set up the column headers. */
$col_headers = array('name' => _("Book name"), 'created' => _("Created"));
$col_headers = Juno::formatColumnHeaders($col_headers, $sort_by, $sort_dir, 'books');

/* Set up the template fields. */
$template = &new Horde_Template();
$template->set('menu', Juno::getMenu('string'));
$template->set('actions', $actions, true);
$template->set('col_headers', $col_headers);
$template->set('books_list', $books_list, true);
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

require JUNO_TEMPLATES . '/common-header.inc';
echo $template->fetch(JUNO_TEMPLATES . '/books/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
